EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedAdapters_GetFeedAdapters',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedAdapters',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of adapters associated with the specified feed'
GO

IF OBJECT_ID('[FeedAdapters_GetFeedAdapters]') IS NOT NULL DROP PROCEDURE [FeedAdapters_GetFeedAdapters]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedAdapters_GetFeedAdapters]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [FeedAdapters]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [FeedAdapter_Sequence]

END
GO

GRANT EXECUTE ON [FeedAdapters_GetFeedAdapters] TO [ProGetUser_Role]
GO
