EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_DeleteSyncSettings',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes any sync settings for a feed.'
GO

IF OBJECT_ID('[Feeds_DeleteSyncSettings]') IS NOT NULL
	DROP PROCEDURE [Feeds_DeleteSyncSettings]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_DeleteSyncSettings]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [NuGetSyncFeeds]
	 WHERE [Feed_Id] = @Feed_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_DeleteSyncSettings] TO [ProGetUser_Role]
GO